/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:46
 * Description:缺陷类别管理
 */
package com.emr.service.ipml;

import com.emr.dao.Emr_Fault_TypeMapper;
import com.emr.entity.Emr_Fault_Type;
import com.emr.service.Emr_Fault_TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class Emr_Fault_TypeServiceImpl implements Emr_Fault_TypeService {

    @Autowired
    private Emr_Fault_TypeMapper emrFaultTypeMapper;

    @Override
    public List<Emr_Fault_Type> selectByCol(Emr_Fault_Type record) {
        return emrFaultTypeMapper.selectByCol(record);
    }

    @Override
    public int updateByClo(Emr_Fault_Type record) {
        return emrFaultTypeMapper.updateByClo(record);
    }

    @Override
    public int insertClo(Emr_Fault_Type record) {
        return emrFaultTypeMapper.insertClo(record);
    }

    @Override
    public Emr_Fault_Type selectByColDesc() {
        return emrFaultTypeMapper.selectByColDesc();
    }

    @Override
    public int delById(Integer id) {
        return emrFaultTypeMapper.delById(id);
    }

    @Override
    public Emr_Fault_Type selectById(Integer id) {
        return emrFaultTypeMapper.selectById(id);
    }
}
 

